-- Schema: C6MartPeriodico
-- Stored Procedure: GESTIONE_SELECT_PDF_GETDATATHREADS_CAMPIONE_onDemand_Adriano_PROVAPROF






--[C6MartPeriodico].[GESTIONE_SELECT_PDF_GETDATATHREADS_CAMPIONE_onDemand_Adriano] 10
create procedure [C6MartPeriodico].[GESTIONE_SELECT_PDF_GETDATATHREADS_CAMPIONE_onDemand_Adriano_PROVAPROF] (@volThreads int = 10000)
AS
BEGIN
		SET NOCOUNT ON;

		DECLARE @dtrim VARCHAR(8)
		--set @dtrim = select c6martperiodico.gettrimestre(getDate(),0)
		set @dtrim = '20180531' 

		SELECT * INTO #WSEIAN_1
		FROM
		(
		select codfis, rete, flagnqp, flgprlrde, FLAGPG, FLGPROF, dttrim, 1  as rank  
		from [C6StagingPeriodico].[WSEIAN]
		WHERE codman = '' and dttrim = @dtrim
		UNION ALL 
		select 'FF@'+ codman as codfis, rete, flagnqp, flgprlrde, FLAGPG, FLGPROF, dttrim, 1 as rank  
		from [C6StagingPeriodico].[WSEIAN]
		WHERE codman <> '' and dttrim = @dtrim
		)X

 	SELECT top(@volThreads)  Maledetti.[Rete],Maledetti.[NomeRete],Maledetti.[Agente],Maledetti.[CognomeAgente]
,Maledetti.[NomeAgente],Maledetti.[IndirizzoAgente]
,Maledetti.[CapAgente],Maledetti.[CittaAgente],Maledetti.[TelefonoAgente],Maledetti.[CodiceFiscale],Maledetti.[CognomeCliente]
,Maledetti.[NomeCliente]
,Maledetti.[ProfiloIsAct]
,Maledetti.[PatrimonioNonRappresentabile]
,Maledetti.[PartiteViaggiantiDisinv]
,Maledetti.[PartiteViaggiantiInv]
,Maledetti.[ContoCorrente]
,Maledetti.[PatrimonioBancaFideuramCtvAlNettoContoCorrente]
,Maledetti.[RisorseNonAssociate]
,Maledetti.[Patrimonioaltroctv]
,Maledetti.[Patrimonioimmobiliarectv]
,Maledetti.[PatrimonioTerzictv]
,Maledetti.[PatrimonioTerziCtvAlNettoContoCorrente]
,Maledetti.[PatrimonioTerziContoCorrente]
,Maledetti.[Patrimoniobancafideuramctv]
,Maledetti.[Patrimoniocomplessivototalectv]
,Maledetti.[NumeroIntermediari]
,Maledetti.[CodiceContratto]
,Maledetti.[tip_contratto]
,Maledetti.[contrattoold]
,Maledetti.[NoMonitoraggio]
,Maledetti.[descrizioneDiagnosi]
--,Maledetti.[idModelloDiagnosi]
,5 as idModelloDiagnosi
--,Maledetti.[idReportDiagnosi]
,1 as idReportDiagnosi
,Maledetti.[descrizioneMonitoraggio]
,Maledetti.[idReportMonitoraggio]
,Maledetti.[idModelloMonitoraggio]
,Maledetti.[AdesioneSuccessivaAvanzato]
,Maledetti.[VaRRisorseNonAssociate]
,Maledetti.[CoperturaRisorseNonAssociate]
,Maledetti.[VaRTotaleRisorseFinanziarie]
,Maledetti.[CoperturaTotaleRisorseFinanziarie]
,isnull((SELECT max(idReport) FROM c6martperiodico.GESTIONE_PDF_FTP ftp where tipoReport = 'D' 
					AND ftp.codicefiscale = Maledetti.codicefiscale AND ftp.rete = Maledetti.Rete),0)  
			AS IdReportPDFDiagnosi   
			,isnull((SELECT max(idReport) FROM c6martperiodico.GESTIONE_PDF_FTP ftp where tipoReport = 'M' 
					AND ftp.codicefiscale = Maledetti.codicefiscale AND ftp.rete = Maledetti.Rete),0) 
			AS IdReportPDFMonitoraggio,
			CASE 
				WHEN wse.flagnqp IS NULL or wse.flagnqp ='' THEN 'N'
				ELSE wse.flagnqp
			END as 'flagnqp',

			--wse.flgprlrde as 'flagprlrde',
			CASE 
				WHEN wse.flgprlrde ='' THEN NULL
				ELSE wse.flgprlrde
			END as 'flagprlrde',

			CASE 
				WHEN wse.FLAGPG IS NULL THEN 0
				ELSE wse.FLAGPG
			END as 'flagpg',

			--CASE 
			--	WHEN wse.FLGPROF IS NULL or wse.FLGPROF ='' THEN 'N'
			--	ELSE wse.FLGPROF
			--END as 'FLGPROF'
			'S' as FLGPROF
			into #result
		FROM wh.Maledetti Maledetti
			 left outer join #WSEIAN_1 wse 
			 on wse.codfis = Maledetti.CodICEFiscale and wse.rete = Maledetti.rete		
		WHERE 1=1

		

and codiceFiscale in (

'BDCGNN45T31H223V'

)

select * from #result
END












